'===============================================================================
' Copyright 2014 Alachisoft.  All rights reserved.
'===============================================================================



Imports System
Imports System.Data
Imports System.Collections
Imports System.Runtime.CompilerServices
Imports System.Runtime.InteropServices
Imports TDevFramework

 Namespace NCacheSample

	Public Interface IEmployeesCollection 
		
         Property item(ByVal index As Integer) As Employees
         Sub Add(ByRef objValue As Employees)
         Sub Remove(ByRef objValue As Employees)
         Function Contains(ByRef objValue As Employees) As Boolean
    End Interface
	

	< ClassInterface(ClassInterfaceType.AutoDual), Serializable()> _
	Public Class EmployeesCollection
	    Inherits   Collection
	    Implements IEmployeesCollection 
        Public Sub New()
            '--
        End Sub

		' <summary>
		' Gets the <c>Employees</c> object at the specified index.
		' </summary>
		' <value>The <c>Employees</c> object.</value>
        Default Public Shadows Property item(ByVal index As Integer) As Employees _
            Implements IEmployeesCollection.item
            Get
                Return CType(MyBase.Item(index), Employees)
            End Get
			Set
				MyBase.Item(index) = value
			End Set
			
        End Property

        Public Overloads Sub Add(ByRef value As Employees) _
            Implements IEmployeesCollection.Add

            MyBase.Add(value)
        End Sub

        Public Overloads Sub Remove(ByRef value As Employees) _
            Implements IEmployeesCollection.Remove

            MyBase.Remove(value)
        End Sub

		' <summary>
		' If value is not of type object, this will return false.
		' </summary>
        Public Overloads Function Contains(ByRef value As Employees) As Boolean _
            Implements IEmployeesCollection.Contains

            Return MyBase.Contains(value)
        End Function

    End Class
End Namespace